### Name: Tool
### Title: Conveniently manipulate toolbars, whatever the window
### Aliases: ToolAdd ToolAddItem ToolDel ToolDelItem ToolNames ToolInvoke
###   ToolItems ToolType ToolChangeItem ToolStateItem ToolRead
###   ToolReadPackage print.guiTool
### Keywords: utilities

### ** Examples

  ## Not run: 
##D ## These cannot be run by examples() but should be OK when pasted
##D ## into an interactive R session with the tcltk package loaded
##D ## Run these commands one at a time
##D 
##D WinAdd("tt", title = "A Tk window with toolbars", pos ="-40+20")
##D ImgReadPackage("svWidgets")     # Make sure images are loaded
##D # Create a toolbar and populate it
##D ToolAdd("$Tk.tt/Main")
##D ToolNames()
##D (ToolItems("$Tk.tt/Main"))   # Still nothing in it
##D ToolAddItem("$Tk.tt/Main", "List variables",
##D         action = "print(ls(envir = .GlobalEnv))", image = "$Tk.butCopy")
##D ToolAddItem("$Tk.tt/Main", "Say yo!", action = "cat('yo!\n')")
##D ToolAddItem("$Tk.tt/Main", "-")
##D ToolAddItem("$Tk.tt/Main", "Search",
##D         action = "print(search())", image = "$Tk.butPaste")
##D (ToolItems("$Tk.tt/Main"))
##D # Change state of buttons in the toolbar
##D ToolStateItem("$Tk.tt/Main", "Search", FALSE)
##D ToolStateItem("$Tk.tt/Main", "Search", TRUE)
##D ToolStateItem("$Tk.tt/Main", "Say yo!", FALSE)
##D ToolStateItem("$Tk.tt/Main", "Say yo!", TRUE)
##D # Invoke a button
##D ToolInvoke("$Tk.tt/Main", "Say yo!")
##D # Remove a button and add another one (always at the end!)
##D ToolDelItem("$Tk.tt/Main", "Say yo!")
##D ToolAddItem("$Tk.tt/Main", "Say yo! twice", "cat('yo! yo!\n')")
##D (ToolItems("$Tk.tt/Main"))
##D ToolDel("$Tk.tt/Main")
##D ToolNames()
##D (ToolItems("$Tk.tt/Main"))
##D WinDel("tt")
##D   
## End(Not run)



